> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get change

> Get a segment change by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /segmentation/changes/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /segmentation/changes/{uuid}:
    get:
      tags:
        - Segmentation - Changes
      summary: Get change
      description: Get a segment change by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Change identifier.
          required: true
          description: Change identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  change:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      segmentUuid:
                        type: string
                      slug:
                        type: string
                      totalRecordsCount:
                        type: number
                      updatedRecordsCount:
                        type: number
                      removedRecordsCount:
                        type: number
                      addedRecordsCount:
                        type: number
                      unchangedRecordsCount:
                        type: number
                      createdAt:
                        type: string
                    required:
                      - uuid
                      - workspaceUuid
                      - segmentUuid
                      - slug
                      - totalRecordsCount
                      - updatedRecordsCount
                      - removedRecordsCount
                      - addedRecordsCount
                      - unchangedRecordsCount
                      - createdAt
                    additionalProperties: false
                    title: Change
                    description: Change details.
                required:
                  - change
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````